Page MenuHomePhabricator

[CodeGen][BFloat] Add bfloat MVT type
ClosedPublic

Authored by stuij on May 11 2020, 4:23 AM.

Details

Summary

This patch adds BFloat MVT support. It also adds fixed and scalable vector MVT
types for BFloat.

This patch is part of a series that adds support for the Bfloat16 extension of the Armv8.6-a architecture, as
detailed here:

https://community.arm.com/developer/ip-products/processors/b/processors-ip-blog/posts/arm-architecture-developments-armv8-6-a

The bfloat type, and its properties are specified in the Arm Architecture
Reference Manual:

https://developer.arm.com/docs/ddi0487/latest/arm-architecture-reference-manual-armv8-for-armv8-a-architecture-profile

Diff Detail

Event Timeline

stuij created this revision.May 11 2020, 4:23 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 11 2020, 4:23 AM
stuij updated this revision to Diff 264583.May 18 2020, 4:38 AM

fix bug that failed webassembly test

stuij edited the summary of this revision. (Show Details)May 22 2020, 3:11 AM
This revision is now accepted and ready to land.May 22 2020, 4:42 AM
This revision was automatically updated to reflect the committed changes.
rogfer01 added inline comments.
llvm/include/llvm/CodeGen/ValueTypes.td
166

@stuij shouldn't this still be nxv1f32?

stuij marked 2 inline comments as done.May 27 2020, 9:32 AM
stuij added inline comments.
llvm/include/llvm/CodeGen/ValueTypes.td
166

Ai, thanks so much Roger!
Fixing.

stuij marked 2 inline comments as done.May 27 2020, 9:59 AM
stuij added inline comments.
llvm/include/llvm/CodeGen/ValueTypes.td
166

Fixed by: [CodeGen] fix typo def nxv1bf32 -> def nxv1f32
hash: 29f8056b54ea5ea6b333e3b8f11de2cc327d1421

thanks again
(tell me if a quick non-phab-backed patch was inappropriate here)